. $PSScriptRoot\_echo.ps1

function global:mu.backupMicrouniversoWeb.obterDiretorioBackup() {
    "C:\backupsMicrouniversoWeb\$(get-date -format yyyy)\$(get-date -format MM)\$(get-date -format dd)\$(get-date -format HH)\$(get-date -format mm)"
}

function global:mu.backupMicrouniversoWeb.fazerBackup() {
    param(
        $configuracoes,
        $diretorioBackup
    )
    
    if ($configuracoes.fazerBackupMicrouniversoWeb) {
        copy-item -recurse C:\microuniversoWeb $diretorioBackup
    } else {
        _echo "Backup de C:\microuniversoWeb desativado via configuracao" warn
    }
    
}

function global:mu.backupMicrouniversoWeb.fazerBackup.test() {
    
    mu.fazerBackupMicrouniversoWeb
}